# Class TradePeer

#### Hierarchy

- unknown
  - TradePeer

- Defined in src/protobuf/pb_pb.d.ts:6531
- Defined in src/protobuf/pb_pb.d.ts:6681

#####
Index

### Constructors

constructor

### Methods

addReserveTxKeyImages
clearAccountAgeWitness
clearDisputeClosedMessage
clearNodeAddress
clearPaymentAccountPayload
clearPaymentReceivedMessage
clearPaymentSentMessage
clearPubKeyRing
clearReserveTxKeyImagesList
getAccountAgeWitness
getAccountAgeWitnessNonce
getAccountAgeWitnessNonce_asB64
getAccountAgeWitnessNonce_asU8
getAccountAgeWitnessSignature
getAccountAgeWitnessSignature_asB64
getAccountAgeWitnessSignature_asU8
getAccountId
getContractAsJson
getContractSignature
getContractSignature_asB64
getContractSignature_asU8
getCurrentDate
getDepositTxFee
getDepositTxHash
getDepositTxHex
getDepositTxKey
getDepositsConfirmedMessageAcked
getDisputeClosedMessage
getEncryptedPaymentAccountPayload
getEncryptedPaymentAccountPayload_asB64
getEncryptedPaymentAccountPayload_asU8
getExchangedMultisigHex
getMadeMultisigHex
getMediatedPayoutTxSignature
getMediatedPayoutTxSignature_asB64
getMediatedPayoutTxSignature_asU8
getNodeAddress
getPaymentAccountId
getPaymentAccountKey
getPaymentAccountKey_asB64
getPaymentAccountKey_asU8
getPaymentAccountPayload
getPaymentAccountPayloadHash
getPaymentAccountPayloadHash_asB64
getPaymentAccountPayloadHash_asU8
getPaymentMethodId
getPaymentReceivedMessage
getPaymentSentMessage
getPayoutAddressString
getPayoutAmount
getPayoutTxFee
getPreparedMultisigHex
getPubKeyRing
getReserveTxHash
getReserveTxHex
getReserveTxKey
getReserveTxKeyImagesList
getSecurityDeposit
getUnsignedPayoutTxHex
getUpdatedMultisigHex
hasAccountAgeWitness
hasDisputeClosedMessage
hasNodeAddress
hasPaymentAccountPayload
hasPaymentReceivedMessage
hasPaymentSentMessage
hasPubKeyRing
serializeBinary
setAccountAgeWitness
setAccountAgeWitnessNonce
setAccountAgeWitnessSignature
setAccountId
setContractAsJson
setContractSignature
setCurrentDate
setDepositTxFee
setDepositTxHash
setDepositTxHex
setDepositTxKey
setDepositsConfirmedMessageAcked
setDisputeClosedMessage
setEncryptedPaymentAccountPayload
setExchangedMultisigHex
setMadeMultisigHex
setMediatedPayoutTxSignature
setNodeAddress
setPaymentAccountId
setPaymentAccountKey
setPaymentAccountPayload
setPaymentAccountPayloadHash
setPaymentMethodId
setPaymentReceivedMessage
setPaymentSentMessage
setPayoutAddressString
setPayoutAmount
setPayoutTxFee
setPreparedMultisigHex
setPubKeyRing
setReserveTxHash
setReserveTxHex
setReserveTxKey
setReserveTxKeyImagesList
setSecurityDeposit
setUnsignedPayoutTxHex
setUpdatedMultisigHex
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new TradePeer(): TradePeer

- #### Returns TradePeer

  Inherited from jspb.Message.constructor

## Methods

### addReserveTxKeyImages

- addReserveTxKeyImages(value: string, index?: number): TradePeer

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6632

### clearAccountAgeWitness

- clearAccountAgeWitness(): TradePeer

- #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6595

### clearDisputeClosedMessage

- clearDisputeClosedMessage(): TradePeer

- #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6618

### clearNodeAddress

- clearNodeAddress(): TradePeer

- #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6535

### clearPaymentAccountPayload

- clearPaymentAccountPayload(): TradePeer

- #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6569

### clearPaymentReceivedMessage

- clearPaymentReceivedMessage(): TradePeer

- #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6613

### clearPaymentSentMessage

- clearPaymentSentMessage(): TradePeer

- #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6608

### clearPubKeyRing

- clearPubKeyRing(): TradePeer

- #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6540

### clearReserveTxKeyImagesList

- clearReserveTxKeyImagesList(): TradePeer

- #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6631

### getAccountAgeWitness

- getAccountAgeWitness(): undefined | AccountAgeWitness

- #### Returns undefined | AccountAgeWitness

  - Defined in src/protobuf/pb_pb.d.ts:6592

### getAccountAgeWitnessNonce

- getAccountAgeWitnessNonce(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6582

### getAccountAgeWitnessNonce_asB64

- getAccountAgeWitnessNonce_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6584

### getAccountAgeWitnessNonce_asU8

- getAccountAgeWitnessNonce_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6583

### getAccountAgeWitnessSignature

- getAccountAgeWitnessSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6587

### getAccountAgeWitnessSignature_asB64

- getAccountAgeWitnessSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6589

### getAccountAgeWitnessSignature_asU8

- getAccountAgeWitnessSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6588

### getAccountId

- getAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6542

### getContractAsJson

- getContractAsJson(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6574

### getContractSignature

- getContractSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6577

### getContractSignature_asB64

- getContractSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6579

### getContractSignature_asU8

- getContractSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6578

### getCurrentDate

- getCurrentDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6597

### getDepositTxFee

- getDepositTxFee(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6658

### getDepositTxHash

- getDepositTxHash(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6649

### getDepositTxHex

- getDepositTxHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6652

### getDepositTxKey

- getDepositTxKey(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6655

### getDepositsConfirmedMessageAcked

- getDepositsConfirmedMessageAcked(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6646

### getDisputeClosedMessage

- getDisputeClosedMessage(): undefined | DisputeClosedMessage

- #### Returns undefined | DisputeClosedMessage

  - Defined in src/protobuf/pb_pb.d.ts:6615

### getEncryptedPaymentAccountPayload

- getEncryptedPaymentAccountPayload(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6556

### getEncryptedPaymentAccountPayload_asB64

- getEncryptedPaymentAccountPayload_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6558

### getEncryptedPaymentAccountPayload_asU8

- getEncryptedPaymentAccountPayload_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6557

### getExchangedMultisigHex

- getExchangedMultisigHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6640

### getMadeMultisigHex

- getMadeMultisigHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6637

### getMediatedPayoutTxSignature

- getMediatedPayoutTxSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6600

### getMediatedPayoutTxSignature_asB64

- getMediatedPayoutTxSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6602

### getMediatedPayoutTxSignature_asU8

- getMediatedPayoutTxSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6601

### getNodeAddress

- getNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:6532

### getPaymentAccountId

- getPaymentAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6545

### getPaymentAccountKey

- getPaymentAccountKey(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6561

### getPaymentAccountKey_asB64

- getPaymentAccountKey_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6563

### getPaymentAccountKey_asU8

- getPaymentAccountKey_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6562

### getPaymentAccountPayload

- getPaymentAccountPayload(): undefined | PaymentAccountPayload

- #### Returns undefined | PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:6566

### getPaymentAccountPayloadHash

- getPaymentAccountPayloadHash(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6551

### getPaymentAccountPayloadHash_asB64

- getPaymentAccountPayloadHash_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6553

### getPaymentAccountPayloadHash_asU8

- getPaymentAccountPayloadHash_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6552

### getPaymentMethodId

- getPaymentMethodId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6548

### getPaymentReceivedMessage

- getPaymentReceivedMessage(): undefined | PaymentReceivedMessage

- #### Returns undefined | PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:6610

### getPaymentSentMessage

- getPaymentSentMessage(): undefined | PaymentSentMessage

- #### Returns undefined | PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:6605

### getPayoutAddressString

- getPayoutAddressString(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6571

### getPayoutAmount

- getPayoutAmount(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6670

### getPayoutTxFee

- getPayoutTxFee(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6667

### getPreparedMultisigHex

- getPreparedMultisigHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6634

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- #### Returns undefined | PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:6537

### getReserveTxHash

- getReserveTxHash(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6620

### getReserveTxHex

- getReserveTxHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6623

### getReserveTxKey

- getReserveTxKey(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6626

### getReserveTxKeyImagesList

- getReserveTxKeyImagesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:6629

### getSecurityDeposit

- getSecurityDeposit(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6661

### getUnsignedPayoutTxHex

- getUnsignedPayoutTxHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6664

### getUpdatedMultisigHex

- getUpdatedMultisigHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6643

### hasAccountAgeWitness

- hasAccountAgeWitness(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6594

### hasDisputeClosedMessage

- hasDisputeClosedMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6617

### hasNodeAddress

- hasNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6534

### hasPaymentAccountPayload

- hasPaymentAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6568

### hasPaymentReceivedMessage

- hasPaymentReceivedMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6612

### hasPaymentSentMessage

- hasPaymentSentMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6607

### hasPubKeyRing

- hasPubKeyRing(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6539

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6673

### setAccountAgeWitness

- setAccountAgeWitness(value?: AccountAgeWitness): TradePeer

- #### Parameters

  - ##### `Optional` value: AccountAgeWitness

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6593

### setAccountAgeWitnessNonce

- setAccountAgeWitnessNonce(value: string | Uint8Array): TradePeer

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6585

### setAccountAgeWitnessSignature

- setAccountAgeWitnessSignature(value: string | Uint8Array): TradePeer

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6590

### setAccountId

- setAccountId(value: string): TradePeer

- #### Parameters

  - ##### value: string

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6543

### setContractAsJson

- setContractAsJson(value: string): TradePeer

- #### Parameters

  - ##### value: string

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6575

### setContractSignature

- setContractSignature(value: string | Uint8Array): TradePeer

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6580

### setCurrentDate

- setCurrentDate(value: number): TradePeer

- #### Parameters

  - ##### value: number

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6598

### setDepositTxFee

- setDepositTxFee(value: number): TradePeer

- #### Parameters

  - ##### value: number

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6659

### setDepositTxHash

- setDepositTxHash(value: string): TradePeer

- #### Parameters

  - ##### value: string

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6650

### setDepositTxHex

- setDepositTxHex(value: string): TradePeer

- #### Parameters

  - ##### value: string

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6653

### setDepositTxKey

- setDepositTxKey(value: string): TradePeer

- #### Parameters

  - ##### value: string

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6656

### setDepositsConfirmedMessageAcked

- setDepositsConfirmedMessageAcked(value: boolean): TradePeer

- #### Parameters

  - ##### value: boolean

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6647

### setDisputeClosedMessage

- setDisputeClosedMessage(value?: DisputeClosedMessage): TradePeer

- #### Parameters

  - ##### `Optional` value: DisputeClosedMessage

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6616

### setEncryptedPaymentAccountPayload

- setEncryptedPaymentAccountPayload(value: string | Uint8Array): TradePeer

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6559

### setExchangedMultisigHex

- setExchangedMultisigHex(value: string): TradePeer

- #### Parameters

  - ##### value: string

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6641

### setMadeMultisigHex

- setMadeMultisigHex(value: string): TradePeer

- #### Parameters

  - ##### value: string

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6638

### setMediatedPayoutTxSignature

- setMediatedPayoutTxSignature(value: string | Uint8Array): TradePeer

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6603

### setNodeAddress

- setNodeAddress(value?: NodeAddress): TradePeer

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6533

### setPaymentAccountId

- setPaymentAccountId(value: string): TradePeer

- #### Parameters

  - ##### value: string

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6546

### setPaymentAccountKey

- setPaymentAccountKey(value: string | Uint8Array): TradePeer

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6564

### setPaymentAccountPayload

- setPaymentAccountPayload(value?: PaymentAccountPayload): TradePeer

- #### Parameters

  - ##### `Optional` value: PaymentAccountPayload

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6567

### setPaymentAccountPayloadHash

- setPaymentAccountPayloadHash(value: string | Uint8Array): TradePeer

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6554

### setPaymentMethodId

- setPaymentMethodId(value: string): TradePeer

- #### Parameters

  - ##### value: string

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6549

### setPaymentReceivedMessage

- setPaymentReceivedMessage(value?: PaymentReceivedMessage): TradePeer

- #### Parameters

  - ##### `Optional` value: PaymentReceivedMessage

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6611

### setPaymentSentMessage

- setPaymentSentMessage(value?: PaymentSentMessage): TradePeer

- #### Parameters

  - ##### `Optional` value: PaymentSentMessage

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6606

### setPayoutAddressString

- setPayoutAddressString(value: string): TradePeer

- #### Parameters

  - ##### value: string

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6572

### setPayoutAmount

- setPayoutAmount(value: number): TradePeer

- #### Parameters

  - ##### value: number

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6671

### setPayoutTxFee

- setPayoutTxFee(value: number): TradePeer

- #### Parameters

  - ##### value: number

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6668

### setPreparedMultisigHex

- setPreparedMultisigHex(value: string): TradePeer

- #### Parameters

  - ##### value: string

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6635

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing): TradePeer

- #### Parameters

  - ##### `Optional` value: PubKeyRing

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6538

### setReserveTxHash

- setReserveTxHash(value: string): TradePeer

- #### Parameters

  - ##### value: string

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6621

### setReserveTxHex

- setReserveTxHex(value: string): TradePeer

- #### Parameters

  - ##### value: string

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6624

### setReserveTxKey

- setReserveTxKey(value: string): TradePeer

- #### Parameters

  - ##### value: string

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6627

### setReserveTxKeyImagesList

- setReserveTxKeyImagesList(value: string[]): TradePeer

- #### Parameters

  - ##### value: string[]

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6630

### setSecurityDeposit

- setSecurityDeposit(value: number): TradePeer

- #### Parameters

  - ##### value: number

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6662

### setUnsignedPayoutTxHex

- setUnsignedPayoutTxHex(value: string): TradePeer

- #### Parameters

  - ##### value: string

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6665

### setUpdatedMultisigHex

- setUpdatedMultisigHex(value: string): TradePeer

- #### Parameters

  - ##### value: string

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6644

### toObject

- toObject(includeInstance?: boolean): TradePeer.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns TradePeer.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6674

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): TradePeer

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6677

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TradePeer, reader: BinaryReader): TradePeer

- #### Parameters

  - ##### message: TradePeer

  - ##### reader: BinaryReader

  #### Returns TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6678

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: TradePeer, writer: BinaryWriter): void

- #### Parameters

  - ##### message: TradePeer

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:6676

### `Static` toObject

- toObject(includeInstance: boolean, msg: TradePeer): TradePeer.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TradePeer

  #### Returns TradePeer.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6675

Generated using TypeDoc